Basic Q's re wpa_supplicant

Jouni Malinen jkmaline at cc.hut.fi
Sat Aug 28 20:41:51 EDT 2004


On Sun, Aug 29, 2004 at 10:15:18AM -0400, Morgan Read wrote:

> To connect to a network running 801.1x peap mschapv1 with my hostap
> driver do I need to:

Do you really mean mschap v1 and not v2? I'm assuming, for now, that you
are trying to use IEEE 802.1X with EAP-PEAP/MSCHAPv2 which is quite
common selection..

> run hostapd?

No, it is only used in an AP.

> run wpa_supplicant?
> run open1x xsupplicant

I have certain preference towards using wpa_supplicant ;-), but either
one of them should work, assuming you are not using WPA.

> upgrade the card's firmware to v1.7?

This would be needed only if you are going to use WPA (in that case, you
would also be better of using wpa_supplicant). If you are using dynamic
WEP keys, you do not need to have STA f/w v1.7.x or newer.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list